ICC-4c C# SDK

Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController:

## Public Member Functions
bool | Connect (int port)
| Connects to the device through COM port More...
bool | Connect (string ipAddress, int port)
| Connects to the device through Ethernet More...
void | Disconnect ()
| Disconnects from the device More...
bool | GoToDfuMode ()
| Switches device to DFU mode More...
bool | ChangeModeToPro ()
| Switches device to PRO mode More...
bool | ChangeModeToSimple ()
| Switches device to SIMPLE mode More...
bool | IsConnected ()
| Returns true, if connection to device is established More...
bool | Reconnect ()
| Reconnects to alGety connected device More...
string | GetElectronicSerialNumber ()
| Returns serial number of the electronic More...
string | GetProductSerialNumberOnChannel (EChannel channel)
| Returns serial number of the product on specific channel More...
List< EConnectedDeviceType > | GetProductTypeOnChannel (EChannel channel)
| Returns type of the product on specific channel More...
List< EConnectedDeviceType > | GetConnectedDeviceTypes ()
| Returns all connected product types on all channels More...

## Properties
IStatus | Status`[get]`
IDeviceEeprom | DeviceEeprom`[get]`
ITemperatureManager | TemperatureManager`[get]`
ISignalFlowManager | SignalFlowManager`[get]`
IMiscFeatures | MiscFeatures`[get]`

## Member Function Documentation

## ◆ ChangeModeToPro()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.ChangeModeToPro | ( |  | ) |

Switches device to PRO mode

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ ChangeModeToSimple()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.ChangeModeToSimple | ( |  | ) |

Switches device to SIMPLE mode

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ Connect() [1/2]

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.Connect | ( | int | port | ) |

Connects to the device through COM port

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ Connect() [2/2]

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.Connect | ( | string | ipAddress,
|  | int | port
| ) |  |

Connects to the device through Ethernet

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ Disconnect()

void ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.Disconnect | ( |  | ) |

Disconnects from the device

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetConnectedDeviceTypes()

List<EConnectedDeviceType> ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GetConnectedDeviceTypes | ( |  | ) |

Returns all connected product types on all channels

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetElectronicSerialNumber()

string ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GetElectronicSerialNumber | ( |  | ) |

Returns serial number of the electronic

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetProductSerialNumberOnChannel()

string ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GetProductSerialNumberOnChannel | ( | EChannel | channel | ) |

Returns serial number of the product on specific channel

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetProductTypeOnChannel()

List<EConnectedDeviceType> ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GetProductTypeOnChannel | ( | EChannel | channel | ) |

Returns type of the product on specific channel

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GoToDfuMode()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GoToDfuMode | ( |  | ) |

Switches device to DFU mode

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ IsConnected()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.IsConnected | ( |  | ) |

Returns true, if connection to device is established

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ Reconnect()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.Reconnect | ( |  | ) |

Reconnects to alGety connected device

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- Device/ICC4cPwmSdkDeviceController.cs